Page MenuHomePhabricator

Special page for querying by one property and value
Closed, ResolvedPublic

Description

Create a special page that allows to enter a query (i.e. enter one property and enter one value, it's type depending on the selected property), run the query, and display the results on the special page.

The special page should not be implemented via an AJAX call, but rather as an HTML result page, using the usual MediaWiki Special page paging mechanism.

In particular, it should allow for an URL like

/wiki/Special:SimpleQuery/P107/Q233

but if this shows troublesome for some datatypes (e.g. coordinates, time) then instead of blocking on this, implement the other datatypes first.


Version: unspecified
Severity: enhancement

Details

Reference
bz52387

Related Objects

StatusSubtypeAssignedTask
ResolvedNone
DeclinedLydia_Pintscher
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
InvalidLydia_Pintscher
ResolvedNone
InvalidLydia_Pintscher
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedNone
InvalidLydia_Pintscher
DeclinedNone
DeclinedNone
DuplicateNone
ResolvedNone
ResolvedNone
InvalidLydia_Pintscher
InvalidLydia_Pintscher
ResolvedNone
ResolvedNone
InvalidLydia_Pintscher
InvalidLydia_Pintscher
Invalidcsteipp
Invalidcsteipp
ResolvedNone
Declinedhoo
InvalidLydia_Pintscher
InvalidNone
InvalidNone
ResolvedNone
InvalidLydia_Pintscher
DeclinedNone
Invalidthiemowmde

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:11 AM
bzimport set Reference to bz52387.
bzimport added a subscriber: Unknown Object (MLST).
Denny created this task.Aug 1 2013, 11:34 AM

Change 82874 had a related patch set uploaded by Daniel Werner:
(bug 52387) Special page for querying by property value

https://gerrit.wikimedia.org/r/82874

Change 83646 had a related patch set uploaded by Daniel Werner:
(bug 52387) Introduction of FetchedEntityContentSerializer

https://gerrit.wikimedia.org/r/83646

Change 83646 merged by jenkins-bot:
(bug 52387) Introduction of FetchedEntityContentSerializer

https://gerrit.wikimedia.org/r/83646

Change 82874 merged by jenkins-bot:
(bug 52387) Special page for querying by property value.

https://gerrit.wikimedia.org/r/82874

  • Bug 45616 has been marked as a duplicate of this bug. ***
Restricted Application added a project: Wikidata. · View Herald TranscriptNov 9 2015, 11:26 AM